﻿@model ASP.NET_MVC5_WebShopExample.Models.ViewModels.SpecificationWithBackUrlViewModel
@using ASP.NET_MVC5_WebShopExample.Constants
@{
    ViewBag.Title = "Details";
    var Product = Model.Specification.Product;
}

<h2>Details</h2>

<div>
    <h4>Specification of @Html.ActionLink(Product.Name, "Edit", "Products", routeValues: new { id = Product.ProductId }, htmlAttributes: null)</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Specification.Product.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.Product.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Specification.SpecificationType.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.SpecificationType.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Specification.Value)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.Value)
        </dd>

    </dl>
</div>
<p>
    @if (Model.BackUrl == null)
    {
        @Html.ActionLink("Back to product", "Edit", "Products", new { id = Model.Specification.Product.ProductId }, null)
    }
    else
    {
        <a href="@Model.BackUrl">Back</a>
    }
    &nbsp;|&nbsp;
    @Html.RouteLink("Edit", RouteNames.Specifications, new { action = "Edit", productId = Model.Specification.Product.ProductId, id = Model.Specification.SpecificationId })
</p>
